﻿using System.Windows;
using System.Windows.Controls;

namespace Demo.Controls
{
	public class ZoomableTabContent : ContentControl
	{
		public ZoomableTabContent()
		{
			this.DefaultStyleKey = typeof( ZoomableTabContent );
		}

		public static DependencyProperty FooterProperty = DependencyProperty.Register( "Footer", typeof( object ), typeof( ZoomableTabContent ), new PropertyMetadata( null ) );

		public object Footer
		{
			get { return GetValue( FooterProperty ); }
			set { SetValue( FooterProperty, value ); }
		}

		public static DependencyProperty FooterTemplateProperty = DependencyProperty.Register( "FooterTemplate", typeof( DataTemplate ), typeof( ZoomableTabContent ), new PropertyMetadata( null ) );

		public DataTemplate FooterTemplate
		{
			get { return (DataTemplate) GetValue( FooterTemplateProperty ); }
			set { SetValue( FooterTemplateProperty, value ); }
		}
	
	}
}
