﻿using System;
using System.Globalization;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Demo.Converters
{
	public class DateTimeFormattingConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if ((value == null) || (!(value is DateTime)))
				return String.Empty;
			if (targetType != typeof(String))
			    throw new ArgumentException("Unsupported target type", "targetType");
			DateTime date = (DateTime)value;
			return date.ToString("d. MMMM yyyy");
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotSupportedException();
		}
	}
}
