using System.Collections.ObjectModel;

namespace Demo
{
	public class MainModel : ViewModel
	{
		public INavigationService Navigation { get; set; }

		public ObservableCollection<PageInfo> PageInfos { get; set; }

		private PageInfo m_currentPage;

		public PageInfo CurrentPage
		{
			get { return m_currentPage; }
			set
			{
				UpdateValue(() => CurrentPage, ref m_currentPage, value, () => Navigation.NavigateTo(value.Uri));
			}
		}
	}
}