﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Demo.ChildWindows;

namespace Demo
{
	public partial class ProgressiveDisclosureAndEnablingPage : Page
	{
		public ProgressiveDisclosureAndEnablingPage()
		{
			InitializeComponent();
			DropDownListItems = new List<string> { "Lorem", "Ipsum", "Dolor", "Sit", "Amet", "fdskjhfdskfh dksjfh dskf hdskf hdskf hdskf hsk" };
			this.DataContext = this;
		}

		// Executes when the user navigates to this page.
		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
		}

		private void HandleOpenSearchDialogButtonClick(object sender, RoutedEventArgs e)
		{
			ProgressiveDisclosureDemoDialog dialog = new ProgressiveDisclosureDemoDialog();
			dialog.Closed += HandleDialogClosed;
			dialog.Show();
		}

		private void HandleDialogClosed(object sender, EventArgs e)
		{
			ChildWindow dialog = (ChildWindow)sender;
			dialog.Closed -= HandleDialogClosed;
		}

		public IList<string> DropDownListItems { get; set; }
	}
}