﻿using System;
using System.ComponentModel.DataAnnotations;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Demo.Pages
{
	public class Book
	{
		public string Image { get; set; }

		[Display( Name="Titel")]
		public string Title { get; set; }

		[Display(Name = "Autor(in)")]
		public string Author { get; set; }

		[Display(Name = "Verlag")]
		public string Publisher { get; set; }

		[Display(Name = "Art")]
		public string Kind { get; set; }

		[Display(Name = "Seiten")]
		public int PageCount { get; set; }

		[Display(Name = "Ausgabe")]
		public int Edition { get; set; }

		[Display(Name = "Veröffentlicht am")]
		public DateTime PublicationDate { get; set; }

		[Display(Name = "Sprache")]
		public string Language { get; set; }

		[Display(Name = "ISBN-10")]
		public string Isbn10 { get; set; }

		[Display(Name = "ISBN-13")]
		public string Isbn13 { get; set; }

		public bool IsAvailable { get; set; }

		public Book()
		{
			Edition = 1;
			IsAvailable = true;
		}
	}
}
