﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Demo
{
	public partial class FilterDemoPage : Page
	{
		public FilterDemoPage()
		{
			InitializeComponent();
			this.Manufacturers = new List<string> { "alle", "Acer", "AG neovo", "AOC", "Apple", "ASUS", "BenQ", "Dell", "Eizo", "Fujitsu", "Hanns.G", "HP", "Hyundai", "iiyama", "LaCie", "Lenovo", "LG", "NEC", "Philips", "Samsung", "Sonstige", "V7", "ViewSonic", "Yuraku" };
			this.Sizes = new List<string> { "alle", "17\"", "18.5\"", "19\"", "20\"", "21.5\"", "22\"", "23\"", "24\"", "25\"", "26\"", "30\"" };
			this.Formats = new List<string> { "alle", "16:9", "16:10" };
			this.Resolutions = new List<string> { "alle", "1280x1024", "1366x768", "1440x900", "1600x900", "1680x1050", "1920x1080", "1920x1200", "2048x1152", "2560x1440", "2560x1600" };
			this.DotPitch = new List<string> { "alle", "0.233mm", "0.244mm", "0.247mm", "0.248mm", "0.249mm", "0.252mm", "0.254mm", "0.256mm", "0.258mm", "0.263mm", "0.265mm", "0.269mm", "0.272mm", "0.276mm", "0.277mm", "0.282mm", "0.284mm", "0.286mm", "0.288mm", "0.292mm", "0.294mm", "0.300mm", "0.308mm", "0.309mm", "0.311mm" };
			this.Dpi = new List<string> { "alle", "82dpi", "85dpi", "86dpi", "87dpi", "88dpi", "89dpi", "90dpi", "92dpi", "93dpi", "94dpi", "96dpi", "98dpi", "99dpi", "100dpi", "101dpi", "102dpi", "103dpi", "104dpi", "109dpi" };
			this.PanelTypes = new List<string> { "alle", "IPS", "MVA", "PLS", "TN" };
			this.ReactionTimes = new List<string> { "alle", "bis 2ms", "bis 4ms", "bis 6ms", "bis 8ms", "bis 10ms", "bis 12ms", "bis 25ms", "über 25ms" };
			this.DataContext = this;
		}

		// Executes when the user navigates to this page.
		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
		}

		public IList<string> Manufacturers { get; set; }
		public IList<string> Sizes { get; set; }
		public IList<string> Formats { get; set; }
		public IList<string> Resolutions { get; set; }
		public IList<string> DotPitch { get; set; }
		public IList<string> Dpi { get; set; }
		public IList<string> PanelTypes { get; set; }
		public IList<string> ReactionTimes { get; set; }
	}
}