﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Demo.Pages;

namespace Demo
{
	public partial class MultipleObjectsBooksPage : Page
	{
		public MultipleObjectsBooksPage()
		{
			InitializeComponent();

			var books = new List<Book>
			{
				new Book
				 {
					 Image= "/UIPatternsDemo;component/Assets/Books/DesigningInterfaces2ndEdition.png",
					 Title = "Designing Interfaces",
					 Author = "Jenifer Tidwell",
					 Publisher = "O'Reilly Media",
					 Edition = 2,
					 PublicationDate = new DateTime(2011,1,31)
				 },
				 new Book
				 {
					 Image= "/UIPatternsDemo;component/Assets/Books/DontMakeMeThink2ndEdition.png",
					 Title = "Don't Make Me Think",
					 Author = "Steve Krug",
					 Publisher = "New Riders Press",
					 Edition = 2,
					 PublicationDate = new DateTime(2005, 8,28)
				 },
				 new Book
				 {
					 Image= "/UIPatternsDemo;component/Assets/Books/DesigningTheObvious.png",
					 Title = "Designing the Obvious",
					 Author = "Robert Hoekman",
					 Publisher = "New Riders Press",
					 Edition = 2,
					 PublicationDate = new DateTime(2010,11,26)
				 },
				 new Book
				 {
					 Image= "/UIPatternsDemo;component/Assets/Books/SimpleAndUsable.png",
					 Title = "Simple and Usable",
					 Author = "GilesColborne",
					 Publisher = "New Riders Press",
					 Edition=1,
					 PublicationDate =new DateTime(2010,9,26)
				 },
				 new Book
				 {
					 Image= "/UIPatternsDemo;component/Assets/Books/DesigningGesturalInterfaces.png",
					 Title = "Designing Gestural Interfaces",
					 Author = "Dan Saffer",
					 Publisher = "O'Reilly Media",
					 Edition=1,
					 PublicationDate =new DateTime(2008,11,1)
				 },
				 new Book
				 {
					 Image= "/UIPatternsDemo;component/Assets/Books/SeductiveInteractionDesign.png",
					 Title = "Seductive Interaction Design",
					 Author = "Stephen Anderson",
					 Publisher = "New Riders",
					 Edition=1,
					 PublicationDate =new DateTime(2011,6,14)
				 },
				 new Book
				 {
					 Image= "/UIPatternsDemo;component/Assets/Books/VisualThinkingForDesign.png",
					 Title = "Visual Thinking: For Design",
					 Author = "Colin Ware",
					 Publisher = "Morgan Kaufmann",
					 Edition=1,
					 PublicationDate =new DateTime(2008,5,27)
				 }
			};

			books.Sort((first, second) => String.Compare(first.Title, second.Title));
			this.Books = books;

			this.DataContext = this;
		}


		public IList<Book> Books { get; set; }

		// Executes when the user navigates to this page.
		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
		}
	}
}