﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Demo.Pages;

namespace Demo
{
	public partial class SettingsPage : Page
	{
		public SettingsPage()
		{
			SelectedDropDownItemIndex = 0;
			var items = new List<DropDownListItem>(
				new[]
					{
						new DropDownListItem
							{
								Image = "/UIPatternsDemo;component/Assets/Misc/Word_Sortiert32x32.png",
								Title = "Sortiert",
								Description = "1,2,3   1,2,3   1,2,3"
							},
						new DropDownListItem
							{
								Image = "/UIPatternsDemo;component/Assets/Misc/Word_Getrennt32x32.png",
								Title = "Getrennt",
								Description = "1,1,1   2,2,2   3,3,3"
							}
					});
			DropDownItems = items;

			InitializeComponent();
			this.DataContext = this;
			this.Loaded += (s, e) => { orientationSelector.SelectedIndex = 1; };
		}

		// Executes when the user navigates to this page.
		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
		}

		public IList<DropDownListItem> DropDownItems { get; set; }

		// No need for change handling here
		public int SelectedDropDownItemIndex { get; set; }
	}
}